Skip to main content
Version: V4.0

Version Management API


Get Version Information​

Request URL​

GET /api/v1.0/invoke/open-ability/method/versions

Request Parameter​

Parameter NameTypeLocationRequiredDescription
Content-TypeStringHeaderYesContent type, the value is application/json
AcceptStringHeaderYesAccept, the value is application/json

Return Parameter​

Parameter NameTypeLocationDescription
Content-TypeStringHeaderContent type, the value is application/json
successBooleanBodyWhether the request is successful or not?
true: success
false: failure
timestampIntegerBodyTimestamp
resultObject<result>BodyReturn result

result description​

Parameter NameTypeLocationDescription
version_idStringBodyVersion ID
versionStringBodyVersion
supportStringBodyMinimum compatibility
remarkStringBodyRemark

Request Example​

GET /api/v1.0/invoke/open-ability/method/versions

Content-Type: application/json

Accept: application/json

Success Return Example​

Status Code: 200

Content-Type: application/json

{
"success": true,
"timestamp": 1540869200562,
"result": {
"version_id": "ve13a8919d43f40cbbd0524f1e2f57bd2",
"version": "1.0",
"support": "",
"remark": ""
}
}

Failure Return Example​

See Failure Return Example